/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class gameMenu extends List
    implements CommandListener {

    private Tetris t;
    private Command select, back;

    public gameMenu(Tetris t) {

	super("Men", List.IMPLICIT);

	this.t=t;

	if(t.gameEnded && (t.gameType != Tetris.SINGLE)) {
	    append("Neues Spiel!", null);
	}
	else {
	    append("Weiter", null);
	}

	append("Hauptmen", null);
	append("Programm beenden", null);

	select=new Command("OK", Command.OK, 1);
	back=new Command("Zurck", Command.EXIT, 2);


	setSelectCommand(select);
	addCommand(back);

	setCommandListener(this);

    }

    public void commandAction(Command c, Displayable d) {

	if(c == back) {
	    t.hideInGameMenu();
	}
	else if(c == select) {
	    switch(getSelectedIndex()) {

	    case 0:
		if(t.gameEnded  && (t.gameType != Tetris.SINGLE)) {
		    t.restartGame();
		}
		else {
		    t.hideInGameMenu();
		}
		break;
	    case 1:
		t.stopGame();
		break;
	    case 2:
		t.stopGame();
		t.quit();
		break;
	    default:
		t.quit();
		break;
	    }

	}


    }


}
