/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class gamePartyLine extends Form
    implements CommandListener {

    private Tetris t;
    private Command start, back, disconnect;

    public gamePartyLine(Tetris t) {

	super("Party-Line");
	this.t=t;

	back=new Command("Zurck", Command.EXIT, 2);
	//	start=new Command("Start", Command.OK, 1);
	disconnect=new Command("Stop", Command.EXIT, 2);

	//	addCommand(start);
	addCommand(back);

	setCommandListener(this);

	/* */
	//	append("Warte auf Mitspieler ...");


    }

    public void init() {
	showDefaultCommands();
	deleteAll();
    }

    /* show only button to go back to mode select */
    public void showDefaultCommands() {
	removeCommand(disconnect);
	addCommand(back);
    }


    /* show button to disconnect from server / stop server */
    public void showStopCommand() {
	removeCommand(back);
	addCommand(disconnect);
    }

    public void commandAction(Command c, Displayable d) {
	
	if(c == back) {
	    t.showModeSelect();
	}
	else if(c == start) {
	}
	else if(c == disconnect) {
	    t.stopGame();
	}
    }

    /* show progess bar */
    public void showConnecting() {
	showStopCommand();
	append("Verbinde mit Server ...\n");
    }

    public void showSearching() {
	//	Gauge g=new Gauge("", false, 100, Gauge.CONTINUOUS_RUNNING);
	//	g.setValue(Gauge.CONTINUOUS_RUNNING);

	showStopCommand();
	append("Suche Server ...\n");
	//	append(g);
    }

    public void showNoServersFound() {
	showDefaultCommands();
	append("Keine Server gefunden!");
	// TODO: add button to search again!
    }

    public void showConnectionError(String s) {
	showStopCommand();
	append("Fehler: "+s+"\n");
    }

    public void showWaitingForPlayers() {
	showStopCommand();
	append("Warte auf Mitspieler ...\n");

    }


}
